{ pkgs, lib, config, ... }: {
  options.mods.server = with lib; {
    local.ports = mkOption {
      type = types.attrsOf (types.ints.u16);
      default = { };
    };
  };
  config = {
    mods.server.nginx.ports = {
      photos = 3001;
      homebox = 3002;
      # immich-machine-learning = 3003;
      share = 3004;
      vault = 3005;
      git = 3006;
      cal = 3007;
      chat = 3008;
      # dash = 3009;
      ntfy = 3010;
      audio = 3011;
      atuin = 3012;

      search = 8081;
      videos = 8082;
      reddit = 8083;
    };
    mods.server.local.ports = {
      # grav = 5001
      lemmy-api = 5002;
      lemmy-ui = 5003;
      pict-rs = 5004;
      readarr = 5005;
      prowlarr = 5006;
      flaresolverr = 5007;
      torrent = 5008;
    };
  };
}
